            #GIT_CMT=42753d04560b6a6be474bbefbddee33aadaedb29
%global flavor ora

Name:     libpcap
Epoch:    14
Version:  1.9.1
Release:  1.0.1%{?dist}%{?flavor}
Summary:  A system-independent interface for user-level packet capture (Oracle Extensions)
License:  BSD with advertising
URL:      http://www.tcpdump.org

# Based on patches applied to the Fedora package, it appears that this does not
# work on the following:
ExcludeArch: s390 s390x

BuildRequires: bison
BuildRequires: bluez-libs-devel
BuildRequires: flex
BuildRequires: gcc
BuildRequires: glibc-kernheaders >= 2.2.0
BuildRequires: libibverbs-devel >= 5:17.1-1.0.5

Source: libpcap-1.9.1.tar.bz2

%description
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.

Compiled against libibverbs with Oracle Extensions and intended for use on
Oracle Linux systems running the Oracle Database Virtual OS layer.

%package devel
Summary: Libraries and header files for the libpcap library (Oracle Extensions)
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

This package provides the libraries, include files, and other
resources needed for developing libpcap applications.

Compiled against libibverbs with Oracle Extensions and intended for use on
Oracle Linux systems running the Oracle Database Virtual OS layer.

%prep
%autosetup

#sparc needs -fPIC
%ifarch %{sparc}
sed -i -e 's|-fpic|-fPIC|g' configure
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/libpcap.a

%if 0%{?rhel} >= 8
%ldconfig_scriptlets
%else
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif

%files
%license LICENSE
%doc README.md CHANGES CREDITS
%{_libdir}/libpcap.so.*
%{_mandir}/man7/pcap*.7*

%files devel
%{_bindir}/pcap-config
%{_includedir}/pcap*.h
%{_includedir}/pcap
%{_libdir}/libpcap.so
%{_libdir}/pkgconfig/libpcap.pc
%{_mandir}/man1/pcap-config.1*
%{_mandir}/man3/pcap*.3*
%{_mandir}/man5/pcap*.5*

%changelog
* Thu Feb 13 2020 Aron Silverton <aron.silverton@oracle.com> - 14:1.9.1-1.0.1
- BUILDINFO: commit=42753d04560b6a6be474bbefbddee33aadaedb29
- oracle/spec: Package for Oracle Linux [Orabug: 30896768]
- man: tcpdump and tcpslice have manpages in man (Michal Sekletar) [Orabug: 30896768]
- pcap-config: mitigate multilib conflict (Michal Sekletar) [Orabug: 30896768]
